require "neutrino_audiomatic/version"
require "neutrino_audiomatic/processor"
module Neutrino::Audiomatic
  # Returns authorized host url of Audiomatic services
  def self.processor_host
    @processor_host
  end

  def self.audiomatic_secret
    @audiomatic_secret
  end

  # Configuration of Audiomatic service
  # Options:
  # - processor_host - host of Audiomatic service
  #     should contain basic auth authorization credentials
  #     defaults to: ENV["AUDIOMATIC_URL"]
  # 
  # Example:
  #   Audiomatic.config do |c|
  #    c.processor_host = "http://login:password@processor.example.com"
  #  end
  #
  def self.config
    config = Config.new
    yield config
    @processor_host = config.processor_host
    @audiomatic_secret = config.audiomatic_secret
  end 

  class Config
    attr_accessor :processor_host
    attr_accessor :audiomatic_secret
  end
end
